// This file is a part of Framsticks SDK.  http://www.framsticks.com/
// Copyright (C) 1999-2015  Maciej Komosinski and Szymon Ulatowski.
// See LICENSE.txt for details.

#ifndef _STDOUTHANDLER_H_
#define _STDOUTHANDLER_H_

#include "mhandlers.h"
#include <frams/virtfile/virtfile.h>

class MessageHandlerToStdout : public MessageHandlerBase
{
	VirtFILE *file;
public:
	MessageHandlerToStdout(int opts = 0, VirtFILE *_file = NULL) :MessageHandlerBase(opts), file(_file) {}
	void handle(const char *o, const char *m, const char *bl, int w);
};

#endif
